Subject: [PATCH v5 1/6] of/serial: move earlycon early_param handling to serial

From: [email-masked] (Aleksey Makarov)
Date: Tue, 22 Mar 2016 19:55:32 +0300

On 03/22/2016 02:15 PM, Rob Herring wrote:
> On Tue, Mar 22, 2016 at 5:46 AM, Aleksey Makarov
> <[email-masked]> wrote:
>> From: Leif Lindholm <[email-masked]>
>>
>> We have multiple "earlycon" early_param handlers - merge the DT one into
>> the main earlycon one.  It's a cleanup that also will be useful
>> to decide if ACPI SPCR earlycon should be set up.
> 
> How so? Isn't that determined by whether we have ACPI tables or a DT?

Oops, I missed this.  This patch was not only to do parsing in one place, 
but also to allow addition of code that decide which of ACPI/DT should be used
for earlycon initialization based on acpi_disabled.

I will fix this, thank you.

> This goes against trying to limit places of FDT parsing and keeping
> the early scanning all within fdt.c. At least it is not in the arch
> code. That said, I'm okay with this change if it helps.
> 
> Rob
>